DKBSignDocs

API reference

GETRequires Bearer token

Get envelopes signers identity-proof

/api/v4/envelopes/{batch_uuid}/signers/{signer_uuid}/identity-proof

Retrieve /api/v4/envelopes/{batch_uuid}/signers/{signer_uuid}/identity-proof. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
batch_uuid
Required
stringPath parameter batch_uuid.
signer_uuid
Required
stringPath parameter signer_uuid.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Identity proof
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/v4/envelopes/550e8400-e29b-41d4-a716-446655440000/signers/550e8400-e29b-41d4-a716-446655440000/identity-proof' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "signer_uuid": "signer-uuid",
  "status": "verified",
  "validated_at": "2026-03-01T10:20:00Z"
}